# SFML - Simple and Fast Multimedia Library

SFML 3.0.0

- Main Page
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Symbols

- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- r
- s
- t
- u
- v
- w
- x
- y
- z
- ~

Loading...
Searching...
No Matches
Here is a list of all class members with links to the classes they belong to:

### - o -

- off_type : sf::U8StringCharTraits
- offset : sf::Music::Span< T >
- onCreate() : sf::RenderWindow, sf::WindowBase
- onGetData() : sf::Music, sf::SoundStream
- onLoop() : sf::Music, sf::SoundStream
- onProcessSamples() : sf::SoundBufferRecorder, sf::SoundRecorder
- onReceive() : sf::Packet
- onResize() : sf::RenderWindow, sf::WindowBase
- onSeek() : sf::Music, sf::SoundStream
- onSend() : sf::Packet
- onStart() : sf::SoundBufferRecorder, sf::SoundRecorder
- onStop() : sf::SoundBufferRecorder, sf::SoundRecorder
- open() : sf::FileInputStream, sf::SoundFileReader, sf::SoundFileWriter
- openFromFile() : sf::Font, sf::InputSoundFile, sf::Music, sf::OutputSoundFile
- openFromMemory() : sf::Font, sf::InputSoundFile, sf::Music
- openFromStream() : sf::Font, sf::InputSoundFile, sf::Music
- operator bool() : sf::Packet
- operator Rect< U >() : sf::Rect< T >
- operator std::chrono::duration< Rep, Period >() : sf::Time
- operator std::string() : sf::String
- operator std::wstring() : sf::String
- operator Vector2< U >() : sf::Vector2< T >
- operator Vector3< U >() : sf::Vector3< T >
- operator!=() : sf::Angle, sf::BlendMode, sf::Color, sf::Rect< T >, sf::StencilMode, sf::String, sf::Time, sf::Transform, sf::Vector2< T >, sf::Vector3< T >, sf::VideoMode
- operator""_deg() : sf::Angle
- operator""_rad() : sf::Angle
- operator%() : sf::Angle, sf::Time
- operator%=() : sf::Angle, sf::Time
- operator*() : sf::Angle, sf::Color, sf::Time, sf::Transform, sf::Vector2< T >, sf::Vector3< T >
- operator*=() : sf::Angle, sf::Color, sf::Time, sf::Transform, sf::Vector2< T >, sf::Vector3< T >
- operator+() : sf::Angle, sf::Color, sf::String, sf::Time, sf::Vector2< T >, sf::Vector3< T >
- operator+=() : sf::Angle, sf::Color, sf::String, sf::Time, sf::Vector2< T >, sf::Vector3< T >
- operator-() : sf::Angle, sf::Color, sf::Time, sf::Vector2< T >, sf::Vector3< T >
- operator-=() : sf::Angle, sf::Color, sf::Time, sf::Vector2< T >, sf::Vector3< T >
- operator/() : sf::Angle, sf::Time, sf::Vector2< T >, sf::Vector3< T >
- operator/=() : sf::Angle, sf::Time, sf::Vector2< T >, sf::Vector3< T >
- operator<() : sf::Angle, sf::IpAddress, sf::String, sf::Time, sf::VideoMode
- operator<<() : sf::Packet
- operator<=() : sf::Angle, sf::String, sf::Time, sf::VideoMode
- operator=() : sf::AudioResource, sf::Context, sf::Cursor, sf::FileInputStream, sf::Ftp, sf::GlResource::TransientContextLock, sf::Http, sf::Music, sf::Packet, sf::RenderTarget, sf::RenderTexture, sf::Shader, sf::Socket, sf::SocketSelector, sf::Sound, sf::SoundBuffer, sf::SoundSource, sf::SoundStream, sf::Texture, sf::VertexBuffer, sf::Window, sf::WindowBase
- operator==() : sf::Angle, sf::BlendMode, sf::Color, sf::Rect< T >, sf::StencilMode, sf::String, sf::Time, sf::Transform, sf::Vector2< T >, sf::Vector3< T >, sf::VideoMode
- operator>() : sf::Angle, sf::String, sf::Time, sf::VideoMode
- operator>=() : sf::Angle, sf::String, sf::Time, sf::VideoMode
- operator>>() : sf::Packet
- operator[]() : sf::String, sf::VertexArray
- outerAngle : sf::Listener::Cone, sf::SoundSource::Cone
- outerGain : sf::Listener::Cone, sf::SoundSource::Cone
- OutputSoundFile() : sf::OutputSoundFile